<?php 


if ( !isset($options) ) $options=array();

$action = array();


if (Yii::app()->user->checkAccess("program") )
    $actions[Yii::t('app','Edit')]=array( 	'image'=>'images/edit.gif', 
										'link'=> 'player/edit', 
										'options'=>array( "title"=>Yii::t('app',"Edit"),
														  "class"=>"right click-cursor") 
									); 
else 
    $actions[Yii::t('app','View')]=array( 	'image'=>'images/view.gif', 
										'link'=> array("player/preview", 'height'=>'auto', 'width'=>964), 
										'click'=>"href = this.getAttribute('href'); tb_show('Playlist',href,false); ",
										'options'=>array( "title"=>Yii::t('app',"View"),
														  "class"=>"right click-cursor" ) 
									);
if (Yii::app()->user->checkAccess("activate")){
    $actions[Yii::t('app','Activate')]=array( 	'image'=>'images/activate.gif', 
										'link'=> 'player/restore', 
										'options'=>array( "title"=>Yii::t('app',"Activate"),
														  "class"=>"up") 
									    );
				
}

if (Yii::app()->user->checkAccess("program")){
   $actions[Yii::t('app','Delete')]=array( 'image'=>'images/x.gif', 
											'link'=> 'player/delete', 
											'options'=>array(	"class"=>"use_ajax del", 
																"title"=>Yii::t('app',"Delete") ) 
										);
}
$gotactive = false;
if ( isset($program_id) ) {
    $medias = array();
    foreach( $shows as $media ) {
        
        if ( $media->id==$program_id ) {
            $temp = array();
            $temp['media']=$media;
            
            if (Yii::app()->user->checkAccess("program") )
                $temp['action']= array( Yii::t('app','Edit')=>array( 	'image'=>'images/edit.gif', 
                                                    'link'=> 'player/edit', 
                                                    'options'=>array( "title"=>Yii::t('app',"Edit"),
													"class"=>"right click-cursor" ) 
                                                ) 
                                        );
            else 
                $temp['action']= array( Yii::t('app','View')=>array( 	'image'=>'images/view.gif', 
                                                    'link'=> array("player/preview", 'height'=>'auto', 'width'=>964), 
													'click'=>"href = this.getAttribute('href'); tb_show('Playlist',href,false); ",
                                                    'options'=>array( "title"=>Yii::t('app',"View"),
													"class"=>"right click-cursor" ) 
                                                ) 
                            );
            
            $temp['name'] = Yii::t('app','Active Program');
            $gotactive = true;
            array_unshift($medias, $temp);
        }else 
            $medias[] = $media;
    }
 
} else {
    $medias = $shows;
}
if (!Yii::app()->request->isAjaxRequest) {

    LayoutHelper::openBorders();
    
	echo CHtml::openTag("div", array('class'=>'manage') );
        
    if (Yii::app()->user->checkAccess("program") ) {
        echo CHtml::beginForm( array("player/edit") );
        
        echo CHtml::submitButton(   Yii::t('app',"New"),
                                    array('class'=>'top-button button',
                                            'alt'=>Yii::t('app',"New"), 
                                            'title'=>Yii::t('app',"New"))
                                );
        echo CHtml::endForm();
    }
    echo CHtml::tag("h1", array(),  Yii::t('app',"Manage Programs") );

    
}
$options['first']=true;

if (!isset($previews) )
	$previews = array();
$this->widget('application.components.ListItems',array(
        'options' => $options,
        'media' => $medias,
        'name' => '',
        'actions' => $actions,
        'previews' => $previews,
        )
    );

if (!Yii::app()->request->isAjaxRequest) { 

    $title = $desc = array();
    
    if ( Yii::app()->user->checkAccess("program") ) {
        $title[] =Yii::t('app', "Tip Create Programs");
        $desc[] = Yii::t('app', "Programs let you control the list of media displayed by the device.") .
                "<br/>" .
                Yii::t('app', "To create Programs, click the New button.");
    } 
    if ( !Yii::app()->user->checkAccess("program") && !Yii::app()->user->checkAccess("activate") ){
        $title[] = Yii::t('app', "Tip User Rights");
        $desc[] =Yii::t('app', "You don't have sufficient rights to change or activate Programs.") .
                "<br/>" .
                Yii::t('app', "Login as a different user to modify the content displayed by the device.");        
    } elseif ( count($medias)==0 ){
        if ( !Yii::app()->user->checkAccess("program") ) {
            $title[] = Yii::t('app', "Warning No Programs");
            $desc[] = Yii::t('app', "There are no Programs in the system") . "<br/>" .
                        Yii::t('app', "Login as a user with 'Creator' rights to create and modify Programs.");
        } 
    } elseif (!$gotactive ) {
        $title[] = Yii::t('app', "Next Activate Programs");
        $desc[] =Yii::t('app', "One Program must be activated to be displayed by the device.") .
                "<br/>" .Yii::t('app', "To control which Program is being displayed by the device click the Activate icon.");
    } else {
        if ( count($medias)>1 ) {
            $title[] =Yii::t('app', "Tip Activate Programs");
            $desc[] =Yii::t('app', "Only the active Program will be displayed by the device.") .
                    "<br/>" .Yii::t('app', "To control which Program is being displayed by the device click the Activate icon.");
        }   
        
        $title[] =Yii::t('app', "Icon Description");
        $d =  "";  
        if ( Yii::app()->user->checkAccess("program") && count($medias)>1 )
            $d .= " ". CHtml::image('images/x.gif', Yii::t('app','Delete'), array('class'=>'icon-desc') ) . " " .Yii::t('app','Delete'). " ";
        
        if ( Yii::app()->user->checkAccess("activate") )
            $d .=  CHtml::image('images/activate.gif', Yii::t('app','Activate'), array('class'=>'icon-desc')). " " .Yii::t('app','Activate'). " ";
            
        if ( Yii::app()->user->checkAccess("program") )
            $d .=  CHtml::image('images/edit.gif', Yii::t('app','Edit'), array('class'=>'icon-desc')) ." ". Yii::t('app','Edit'). " ";
        else
            $d .= CHtml::image('images/view.gif', Yii::t('app','View'), array('class'=>'icon-desc')) ." ". Yii::t('app','View'). " ";    
        $desc[] = $d;
    }
    $this->widget('application.components.Tip',array(   'title' => $title, 'desc' =>   $desc) );
   
    echo CHtml::closeTag("div" ); //manage
    
    LayoutHelper::closeBorders();
}